package com.ruoyi.ems.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 动力箱元器件指标对象 adm_ems_elec_box_eqpt_index
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public class AdmEmsElecBoxEqptIndex extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 箱体代码
     */
    @Excel(name = "箱体代码")
    private String boxCode;

    /**
     * 元件代码
     */
    @Excel(name = "元件代码")
    private String eqptCode;

    /**
     * 服务区代码
     */
    @Excel(name = "服务区代码")
    private String areaCode;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    /**
     * 电压（伏）
     */
    @Excel(name = "电压", readConverterExp = "伏=")
    private Double voltage;

    /**
     * 电流（安培）
     */
    @Excel(name = "电流", readConverterExp = "安=培")
    private Double current;

    /**
     * 功率（千瓦）
     */
    @Excel(name = "功率", readConverterExp = "千=瓦")
    private Double power;

    private String eqptSpec;

    private String ratedCurrent;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBoxCode(String boxCode) {
        this.boxCode = boxCode;
    }

    public String getBoxCode() {
        return boxCode;
    }

    public void setEqptCode(String eqptCode) {
        this.eqptCode = eqptCode;
    }

    public String getEqptCode() {
        return eqptCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getTime() {
        return time;
    }

    public void setVoltage(Double voltage) {
        this.voltage = voltage;
    }

    public Double getVoltage() {
        return voltage;
    }

    public void setCurrent(Double current) {
        this.current = current;
    }

    public Double getCurrent() {
        return current;
    }

    public void setPower(Double power) {
        this.power = power;
    }

    public Double getPower() {
        return power;
    }

    public String getEqptSpec() {
        return eqptSpec;
    }

    public void setEqptSpec(String eqptSpec) {
        this.eqptSpec = eqptSpec;
    }


    public String getRatedCurrent() {
        return ratedCurrent;
    }

    public void setRatedCurrent(String ratedCurrent) {
        this.ratedCurrent = ratedCurrent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("boxCode", getBoxCode()).append("eqptCode", getEqptCode()).append("areaCode", getAreaCode()).append("date", getDate()).append("time", getTime()).append("voltage", getVoltage()).append("current", getCurrent()).append("power", getPower()).toString();
    }
}
